# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Catmandu/Exporter.pm) perl(Catmandu/Sane.pm) perl(IO/File.pm) perl(IO/Handle/Util.pm) perl(JSON/XS.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/MarkdownTable.pm) perl(Throwable/Error.pm) perl(MooX/Log/Any.pm)
# END SourceDeps(oneline)
%define module_version 0.3.0
%define module_name Catmandu-Exporter-Table
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.0
Release: alt1
Summary: ASCII/Markdown table exporter
Group: Development/Perl
License: perl
URL: https://github.com/nichtich/Catmandu-Exporter-Table

Source0: http://cpan.org.ua/authors/id/V/VO/VOJ/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This the Catmandu::Exporter manpage exports data in tabular form, formatted in
MultiMarkdown syntax.

The output can be used for simple display, for instance to preview Excel files
on the command line. Use Pandoc too
further convert to other table formats, e.g. `latex', `html5', `mediawiki':

    catmandu convert XLS to Table < sheet.xls | pandoc -t html5

By default columns are sorted alphabetically by field name.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1
- initial import by package builder

